Bug 33332 - Squid3 without cache, squid restart failed
Squid3 without cache, squid restart failed
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Squid
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 3.2-1-errata
Assigned To: Felix Botner
Arvid Requate
:
Depends on:
Blocks: 35421 35909
  Show dependency treegraph
 
Reported: 2013-11-12 15:21 CET by rolandb
Modified: 2014-09-11 15:04 CEST (History)
5 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rolandb 2013-11-12 15:21:44 CET
Hallo zusammen

Wir würden gerne Squid3 ohne Cache verwenden. Das funktioniert gemäss UCR Variable folgendermassen:
ucr set squid/cache="false"

Danach werden folgende Einträge gemacht in /etc/squid3/squid.conf:
cache deny all
cache_dir null /tmp

Ein Reload funktioniert:
/etc/init.d/squid3 reload
Reloading Squid HTTP Proxy 3.x configuration files.
done.


Ein restart leider nicht:
/etc/init.d/squid3 restart
Restarting Squid HTTP Proxy 3.x: squid3FATAL: Bungled squid.conf line 40: cache_dir null /tmp
Squid Cache (Version 3.1.6): Terminated abnormally.
CPU Usage: 0.004 seconds = 0.000 user + 0.004 sys
Maximum Resident Size: 20672 KB
Page faults with physical i/o: 0
 failed!

Squid verweist ebenfalls auch auf diese Einstellung:
http://wiki.squid-cache.org/SquidFaq/CompleteFaq#SquidFaq.2BAC8-ConfiguringSquid.Can_I_make_Squid_proxy_only.2C_without_caching_anything.3F

Wenn man im die UCR Variable wieder korrigiert (ucr set squid/cache="yes") und danach die Datei /etc/squid3/local.conf mit folgendem Eintrag erweitert, dann geht es:
# add local config here
cache deny all

Vielen Dank für Eure Hilfe.

Grüsse, RolandB
Comment 1 Jan Christoph Ebersbach univentionstaff 2013-12-31 15:41:57 CET
The same issue was reported here: Ticket #2013082721004261.
Comment 2 Felix Botner univentionstaff 2014-02-28 14:09:57 CET
do net set "cache_dir null /tmp" if squid/cache is false in univention-squid

2014-02-28-univention-squid.yaml
Comment 3 Arvid Requate univentionstaff 2014-04-07 18:22:32 CEST
Ok, squid 3.1.x is built without the "null" storage module by default and the UCR template has been adjusted to not use it. Advisory is ok.
Comment 4 Moritz Muehlenhoff univentionstaff 2014-04-09 08:26:52 CEST
http://errata.univention.de/ucs/3.2/87.html
Comment 5 rolandb 2014-07-16 23:00:58 CEST
Hallo zusammen

Wir haben ein frisch installierte UCS3.2-2 mit ucs@school R3.2.
root@sr-server-01:~# ucr set squid/cache="false"
Setting squid/cache
File: /etc/squid3/squid.conf
root@sr-server-01:~# /etc/init.d/squid3 restart
Restarting Squid HTTP Proxy 3.x: squid3FATAL: Bungled squid.conf line 35: cache_dir null /tmp
Squid Cache (Version 3.1.6): Terminated abnormally.
CPU Usage: 0.008 seconds = 0.008 user + 0.000 sys
Maximum Resident Size: 20608 KB
Page faults with physical i/o: 0
 failed!

Das selbe Problem besteht immer noch.

Grüsse, RolandB
Comment 6 Felix Botner univentionstaff 2014-07-21 11:39:06 CEST
Wird über Bug #35421 abgewickelt.
Comment 7 Sönke Schwardt-Krummrich univentionstaff 2014-08-07 18:26:45 CEST
The erratum has been shipped and bug has been cloned
→ return status to CLOSED-FIXED.